VERSION 5.00
Begin VB.Form frmRGBColorPicker 
   BackColor       =   &H00E0E0E0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "RGB Color Picker"
   ClientHeight    =   2745
   ClientLeft      =   45
   ClientTop       =   675
   ClientWidth     =   7365
   Icon            =   "frmRGBColorPicker.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2745
   ScaleWidth      =   7365
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   5040
      TabIndex        =   0
      Top             =   2040
      Width           =   2055
   End
   Begin VB.TextBox txtBlueValue 
      Height          =   285
      Left            =   4320
      MaxLength       =   3
      TabIndex        =   3
      Top             =   1440
      Width           =   495
   End
   Begin VB.TextBox txtGreenValue 
      Height          =   285
      Left            =   4320
      MaxLength       =   3
      TabIndex        =   2
      Top             =   840
      Width           =   495
   End
   Begin VB.TextBox txtRedValue 
      Height          =   285
      Left            =   4320
      MaxLength       =   3
      TabIndex        =   1
      Top             =   240
      Width           =   495
   End
   Begin VB.HScrollBar hsbBlue 
      Height          =   255
      LargeChange     =   15
      Left            =   1200
      Max             =   255
      TabIndex        =   8
      TabStop         =   0   'False
      Top             =   1455
      Width           =   3015
   End
   Begin VB.HScrollBar hsbGreen 
      Height          =   255
      LargeChange     =   15
      Left            =   1200
      Max             =   255
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   855
      Width           =   3015
   End
   Begin VB.HScrollBar hsbRed 
      Height          =   255
      LargeChange     =   15
      Left            =   1200
      Max             =   255
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   250
      Width           =   3015
   End
   Begin VB.Shape shpRGB 
      FillStyle       =   0  'Solid
      Height          =   1575
      Left            =   5040
      Top             =   240
      Width           =   2055
   End
   Begin VB.Label Label3 
      BackStyle       =   0  'Transparent
      Caption         =   "Blue"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   9
      Top             =   1440
      Width           =   735
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "Green"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   7
      Top             =   840
      Width           =   735
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Red"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   4
      Top             =   240
      Width           =   735
   End
   Begin VB.Menu MnuItemAbout 
      Caption         =   "&About RGB Color Picker"
   End
End
Attribute VB_Name = "frmRGBColorPicker"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim X As Integer

Private Sub cmdExit_Click()

    End
    
End Sub

Private Sub Form_Load()

    SetRGB
    
End Sub

Private Sub hsbBlue_Change()

    SetRGB

End Sub

Private Sub hsbBlue_Scroll()

    SetRGB
    cmdExit.SetFocus
    
End Sub

Private Sub hsbGreen_Change()

    SetRGB

End Sub

Private Sub hsbGreen_Scroll()

    SetRGB
    cmdExit.SetFocus
    
End Sub

Private Sub hsbRed_Change()

    SetRGB

End Sub

Private Sub SetRGB()

    shpRGB.FillColor = RGB(hsbRed.Value, hsbGreen.Value, hsbBlue.Value)
    txtRedValue = hsbRed.Value
    txtGreenValue = hsbGreen.Value
    txtBlueValue = hsbBlue.Value
    
End Sub

Private Sub hsbRed_Scroll()

    SetRGB
    cmdExit.SetFocus
    
End Sub

Private Sub MnuItemAbout_Click()

    Load frmAbout
    frmAbout.Show vbModal
    
End Sub

Private Sub txtBlueValue_Change()
    
    If txtBlueValue = "" Then txtBlueValue = 0

    If Not IsNumeric(txtBlueValue) Or Val(txtBlueValue) > 255 Then
        ErrMsg
        txtBlueValue = X
        SelectValue txtBlueValue
        Exit Sub
    End If
    
    txtBlueValue.SelStart = Len(txtBlueValue)
    hsbBlue.Value = txtBlueValue.Text
    
End Sub

Private Sub txtBlueValue_GotFocus()

    X = Val(txtBlueValue)
    SelectValue txtBlueValue
    
End Sub

Private Sub txtGreenValue_Change()
    
    If txtGreenValue = "" Then txtGreenValue = 0

    If Not IsNumeric(txtGreenValue) Or Val(txtGreenValue) > 255 Then
        ErrMsg
        txtGreenValue = X
        SelectValue txtGreenValue
        Exit Sub
    End If
    
    txtGreenValue.SelStart = Len(txtGreenValue)
    hsbGreen.Value = txtGreenValue.Text
    
End Sub

Private Sub txtGreenValue_GotFocus()

    X = Val(txtGreenValue)
    SelectValue txtGreenValue
    
End Sub

Private Sub txtRedValue_Change()
    
    If txtRedValue = "" Then txtRedValue = 0

    If Not IsNumeric(txtRedValue) Or Val(txtRedValue) > 255 Then
        ErrMsg
        txtRedValue = X
        SelectValue txtRedValue
        Exit Sub
    End If
    
    txtRedValue.SelStart = Len(txtRedValue)
    hsbRed.Value = txtRedValue.Text
    
End Sub

Private Sub ErrMsg()

    MsgBox "The value you entered is INVALID." & vbNewLine & _
        "Enter a number between 0 and 255 only!", vbInformation, "Invalid RGB Value!"
    
End Sub

Private Sub SelectValue(TextName As TextBox)

    TextName.SelStart = 0
    TextName.SelLength = Len(TextName)
    
End Sub

Private Sub txtRedValue_GotFocus()

    X = Val(txtRedValue)
    SelectValue txtRedValue
    
End Sub
